## kernel-package 3.03

=== debian/changelog ===
kernel-package (3.03) frozen unstable; urgency=medium

  * changed priority of kernel-source package to optional
  * changed priority of kernel-image package to optional
  * Recommended dpkg-dev since kernel/rules call binaries from there
    This fixes a problem that a number of people have reported on the
    lists, though it never made it as a formal bug report.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Nov 1996 11:02:31 -0600

kernel-package (3.02) unstable; urgency=low

  * kernel-source-X.XX now no longer recommends bin86, since bin86 is only
    available intel platforms.  It now merely mentions it in the
    description. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 7 Nov 1996 22:18:15 -0600

kernel-package (3.01) unstable; urgency=low

  * Changed one last typo in postinst. This (finally) fixes Bug#4234. 
  * Also, version 3.00 fixed Bug#4500 and Bug#4624
  * kernel-source-X.XX now recommends bin86, which fixes Bug#4443
  * Added short, succint (and potentially dangerous) instructions on
    compiling kernels at the top of the README file.  This fixes Bug#4445.

 -- Manoj Srivastava <srivasta@datasync.com>  Wed, 6 Nov 1996 23:58:35 -0600

kernel-package (3.00) unstable; urgency=medium

  * Changed the kernel-package to the new packaging schemes.
  * Removed the dist, source, and diff targets for make-kpkg, added
    binary-arch, binary-indep, and buildpackage targets.
  * Changed make-kpkg to reflect reorganization of the
    /usr/lib/kernel-package/ tree.
  * Changed Authour email.
  * Removed dithering about ./debian/* in kernel sources, now make-kpkg
    looks only at /usr/lib/kernel-package/ (clears confusion about older
    versions of kernel-package).
  * Modified make-kpkg.8 to reflect changes in make-kpkg, and ran a spell
    check. 
  * Renamed debian/package.config to kernel-packageconfig, and removed
    (obsolete) references to dchanges)
  * Moved *.README to copyright.*, and changed the rules files to
    conform. 
  * Added explanation for kernel-headers-X.XX (and why we need this
    package inspite of having headers in libc5-dev)
  
 -- Manoj Srivastava <srivasta@datasync.com>  Mon, 4 Nov 1996 16:19:33 -0600

kernel-package (2.03) unstable; urgency=low

  * Fixed typo in make-kpkg man pages where it insisted that it was
    make-dpkg ;-) 
  * Made the close brackets agree with open brackets in the man page
    synopsis.   This fixes Bug#3960

 -- Manoj Srivastava <srivasta@debian.org>  

kernel-package (2.02) unstable; low

  * Made image.postinst more polite.
  * Also enabled kernel-{source,image,headers} targets in kernel.rules 
  * Changed make-kpkg to also accept the new targets.
  * Fixed typo in man page.
  * The man page says it is an adminstrators man page rather than a 
    programmers man page.
  * Recommended libc-dev for kernel-source and kernel-package
  * source suggests ncurses3.0-dev, tk40-dev and the description explains 
    you could use make menuconfig rather than plain old make config if you
    had these packages.
  * Fixed typo in the rules for modules in /usr/src/modules/ directory
  * Made the rules for such modules ignore errors (since they are not
    really a part of this package, error there should not halt this build
    (or so people seem to want it)
  * Look for modules in the kernel config file (or the default config file
    if the user has not supplied a config file), and only make modules and
    install them if modules have been configured in the config file. This 
    could be tested better.
  * Fixed the make-kpkg.8 man page so that it now does not seem to mandate
    a source and diff file for additional modules installed under the 
    directory /usr/src/modules/ (whether these files are produced is at
    the discretion of the maintainer of that modules package.
  * Make configure depend on stamp-configure which in turn depends on
    .config Hopefully, this will remake the image atrget if one changes
    the config file Hopefully, this will not cause the image target to
    build needlessly. 

 -- Manoj Srivastava <srivasta@debian.org>  

kernel-package (2.01) unstable; urgency=low

  * Changed the scripts to refer to /usr/bin/perl rather than /bin/perl.
  * Added an extended description to the image control file.
  * Added a note that the dist target requires a PGP key.
  * Fixed a typo (missing DEBDIR) in debian.rules.
  * Fixed the targets expected by make-kpkg (kernel_image rather than 
    kernel-image, etc).
  * In image.postinst, made arguments to system be a single argument if  
    the arguments contain shell metacharacters, (this way perl passes
    them to sh -c).
  * Made make-kpkg accept non floats as revision numbers, to facilitate  
    local names.
  * Fixed silly bug in makefloppy in image.postinst.
  * Fixed the extended description of the kernel-package package.
  * Updated the image postinst to install the mbr, if it exists, and to
    activate the root partition, and to not overwrite the mbr (oops).
  * Changed maintainer email address to debian.org (I'll be in a state of  
    flux soon)


 -- Manoj Srivastava <srivasta@pilgrim.umass.edu>  

Local variables:
mode: debian-changelog
End:
