=== debian/control ===
Source: kernel-package
Priority: optional
Section: misc
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 2.1.1.0

Package: kernel-package
Description: Debian Linux kernel package build scripts.
 This package provides the capability to create a debian 
 kernel-image package by just running make-kpkg kernel_image in a
 kernel source directory tree.  It can also build the kernel source
 package as a debian file, the kernel headers package. In general, this 
 package is very useful if you need to create a custom kernel, if, for 
 example, the default kernel does not support some of your hardware, or
 you wish a leaner, meaner kernel.
Depends: perl (>= 5.002-8)
Recommends: libc-dev, gcc, dpkg-dev
Suggests: kernel-source
Architecture: all
