## kernel-package 3.28

=== debian/changelog ===
kernel-package (3.28) frozen unstable; urgency=low

  * No longer install text files in the modules directory, since depmod
    in modutils-2.1.34 fails when it finds a non-ELF file in modules
    directory. This fixes Bug#9243.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Apr 1997 15:24:51 -0500

kernel-package (3.27) frozen unstable; urgency=low

  * Really add in all the changes sent in by Herbert Xu. The changes are: 
    * Changed to source package name back to kernel-source-=V again. 
    * Changed the install's to be without -o root -g root since it is no
      longer useful as the chown's are done before the packages are built. It
      also means that if it is used in targets like stamp-configure which may
      be run by anyone it won't not generate an error.
    * Made rules file generate the control file.
    * Fixed some typos in chowns commands while generating the header
      packages. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 21 Apr 1997 15:12:19 -0500

kernel-package (3.26) frozen unstable; urgency=low

  * Made the default image for ppc architecture zImage. This fixes Bug#8696 .
  * Forgot to mention that the source package for the kernel packages
    (produced by make-kpkg buildpackage, for example) has been changed to
    not contain the kernel version as part of the name (all the deb files
    produced have not changed), so we now get kernel-image-xxx_yy_zz.deb,
    kernel-source-xxx_yy_zz.deb, and kernel-headers-xxx_yy_zz.deb, along
    with kernel-source.tar.gz and kernel-source_yy.diff.gz
  * Added config dependencies for module targets

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Apr 1997 00:53:24 -0500

kernel-package (3.25) frozen unstable; urgency=low

  * Added changes sent in by the kernel packages maintainer.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Apr 1997 00:03:36 -0500

kernel-package (3.24) frozen unstable; urgency=medium

  * Fixed a bash 2.0 inconsistency

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 9 Apr 1997 13:33:58 -0500

kernel-package (3.23) frozen unstable; urgency=medium

  * Fixed typos in rules for generating external modules

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 9 Apr 1997 12:41:45 -0500

kernel-package (3.22) frozen unstable; urgency=medium

  * Documented constraints on the debian revision field. This is important
     enough that I am reproducing the text of the admonition here.
     The revision number (the argument supplied after the --revision flag)
     has certain constraints: it may contain only alphanumerics and the
     characters + . (full stop, and plus) and should contain a digit.
     NOTE: No hyphens allowed. (Look at Chapter 5 of the Programmers manual
     for details)

     This is because dpkg imposes an ordering on version numbers, so that
     it can tell whether packages are being up or downgraded and so that
     dselect can tell whether a package it finds available is newer than
     the one installed on the system.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 4 Apr 1997 11:48:42 -0600

kernel-package (3.21) frozen unstable; urgency=low

  * Tested source package creation for 2.1.30
  * set umask to copy the kernel source files untainted by package creators
    umask. 
  * set umask to copy the kernel header files untainted by package creators
    umask. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 1 Apr 1997 11:04:42 -0600

kernel-package (3.20) frozen unstable; urgency=low

  * Could not reproduce BUG#8274, neither could the original reporter. I have
    made some changes in the postinst to allow leading whitespace in the
    user responses, and tested it on three different kernel-source
    versions.  I believe this bug is fixed now (I have 3 suitable boot
    floppies as evidence). 
  * image postinst no longer aborts when the user gives up on formatting a
    floppy, but now offers a choice to proceed with a preformatted floppy. 
  * Fixed spelling errors in kernel image postinst, fixing BUG#8409
  * Offer to user superformat if it exists.
  * Tested boot floppy creation.
  * Tested on 2.0.29, 2.1.29, and 2.1.30
  * Spell check the Problems file, mention setfdprm in there.
  * Mention setfdprm in postinst if fail to format floppy.
  * Fix a typo in code determining which floppy drive to use
  * Allow leading whitespace in responses
  * Added required packages to the README file.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 23 Mar 1997 22:53:13 -0600

kernel-package (3.19) unstable; urgency=low

  * Tested again on 2.1.27 kernel.
  * Added correct Handling for ipv6 modules in rules file

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 1 Mar 1997 13:52:15 -0600

kernel-package (3.18) unstable; urgency=high

  * Succesfully compiled a 2.1.27 kernel.
  * Made make-kpkg not look for modules directoryi; that directory is
    removed by a make-kpkg clean.
  * Mentioned that ncurses-dev is required for make menuconfig in the
    README file.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 22 Feb 1997 23:36:30 -0600

kernel-package (3.17) unstable; urgency=low

  * Stupid @#$%$%@! vi changed Feb to February in the changelog messing up
    gencontrol. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 Feb 1997 19:29:02 -0600

kernel-package (3.16) unstable; urgency=low

  * Started compiling a list of known problems with compiling kernel images.
    This is now available as /usr/doc/kernel-package/Problems.
  * Moved to standards version 2.1.2.2.
  * Removed extra root checks in the rules file.
  * Added error messages to failed root check in the rules file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Feb 1997 14:40:41 -0600

kernel-package (3.15) unstable; urgency=low

  * Fixed kernel rules file so that one does not depend on the existence of 
    modules. This fixes BUG#6898.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Jan 1997 22:15:27 -0600

kernel-package (3.14) unstable; urgency=low


