=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.1.2.2
 
 Package: kernel-package
 Description: Debian Linux kernel package build scripts.
@@ -13,7 +13,11 @@
  package is very useful if you need to create a custom kernel, if, for 
  example, the default kernel does not support some of your hardware, or
  you wish a leaner, meaner kernel.
-Depends: perl (>= 5.002-8)
-Recommends: libc-dev, gcc, dpkg-dev
+ .
+ If you are running on an intel x86 platform, and you wish to compile a
+ custom kernel (why else are you considering this package?), then you may
+ need the package bin86 as well.  (This is not required on other platforms).
+Depends: perl (>= 5.002-8), dpkg (>= 1.4), dpkg-dev
+Recommends: libc-dev, gcc
 Suggests: kernel-source
 Architecture: all
