=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 ## Created On	    : Sat Apr 27 06:36:31 1996
 ## Created On Node  : melkor.pilgrim.umass.edu
 ## Last Modified By : Manoj Srivastava
-## Last Modified On : Wed Nov  6 12:38:07 1996
+## Last Modified On : Thu Feb 13 21:26:27 1997
 ## Last Machine Used: tiamat.datasync.com
-## Update Count	    : 103
+## Update Count	    : 108
 ## Status	    : Unknown, Use with caution!
 ## HISTORY	    :
 ## Description	    :
@@ -29,6 +29,7 @@
 # The name of the package (for example, `emacs').
 package = kernel-package
 
+
 FILES_TO_CLEAN = debian/files
 STAMPS_TO_CLEAN =  stamp-binary
 DIRS_TO_CLEAN  =
@@ -37,10 +38,13 @@
 LIBLOC:=/usr/lib/kernel-package
 MODULE_LOC := /usr/src/modules
 
+# Location of the source dir
 SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
+# where kernel-package files go to
 DEBDIR := $(LIBLOC)
 DEBDIR_NAME:= $(shell basename $(DEBDIR))
 
+# install commands
 install_file= install -o root -g root -m 644
 install_program= install -o root -g root -m 755
 make_directory= install -d -o root -g root -m 755
@@ -64,12 +68,13 @@
 binary-indep: build stamp-binary
 
 stamp-binary:
-	@test root = "`whoami`"
+	@test root = "`whoami`" || (echo need root priviledges; exit 1)
 	$(checkdir)
 	rm -rf debian/tmp  debian/tmp.deb
 	$(make_directory)  debian/tmp/DEBIAN
 	$(make_directory)  debian/tmp/etc
 	$(make_directory)  debian/tmp/usr/sbin
+	$(make_directory)  debian/tmp/usr/man/man5
 	$(make_directory)  debian/tmp/usr/man/man8
 	$(make_directory)  debian/tmp/usr/lib/$(package)
 	$(make_directory)  debian/tmp/usr/doc/$(package)
@@ -80,11 +85,19 @@
 		           debian/tmp/usr/doc/$(package)/copyright
 	$(install_file)    debian/changelog \
                            debian/tmp/usr/doc/$(package)/changelog
-	gzip -9f           debian/tmp/usr/doc/$(package)/changelog
+	gzip -9fq          debian/tmp/usr/doc/$(package)/changelog
 	$(install_file)    README debian/tmp/usr/doc/$(package)/README
-	gzip -9f           debian/tmp/usr/doc/$(package)/README
-	$(install_file)    make-kpkg.8  debian/tmp/usr/man/man8/make-kpkg.8
-	gzip -9f           debian/tmp/usr/man/man8/make-kpkg.8
+	gzip -9fq          debian/tmp/usr/doc/$(package)/README
+	$(install_file)    Problems debian/tmp/usr/doc/$(package)/Problems
+	gzip -9fq          debian/tmp/usr/doc/$(package)/Problems
+	$(install_file)    kernel-pkg.conf.5 \
+	                   debian/tmp/usr/man/man5/kernel-pkg.conf.5
+	gzip -9fq          debian/tmp/usr/man/man5/kernel-pkg.conf.5
+	$(install_file)    make-kpkg.8  \
+                           debian/tmp/usr/man/man8/make-kpkg.8
+	gzip -9fq          debian/tmp/usr/man/man8/make-kpkg.8
+	$(install_file)    kernel-packageconfig.8  debian/tmp/usr/man/man8/
+	gzip -9fq          debian/tmp/usr/man/man8/kernel-packageconfig.8
 	$(install_file)    kernel-pkg.conf debian/tmp/etc/kernel-pkg.conf
 	$(install_program) kernel-packageconfig \
 		           debian/tmp/usr/sbin/kernel-packageconfig
