## kernel-package 4.11

=== debian/changelog ===
kernel-package (4.11) frozen unstable; urgency=low

  * Clarified the rootcommand usage in the error message when make-kpkg
    thinks that the rootcmd options has been invoked in vain.
  * This should also go into frozen. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 May 1998 13:57:58 -0500

kernel-package (4.10) unstable; urgency=low

  * Only put libc-kheaders in the control file is asked. I think this is
    better in the long run than the solution suggested in Bug#22295. 
    closes: Bug#22295

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 May 1998 01:56:11 -0500

kernel-package (4.09) frozen unstable; urgency=low

  * Add a missing end of line \ in the kernel rules file
  * Added make-kpkg support for kernel Flavours. Reported by Rainer
    Clasen. closes: Bug#21694
  * Added a config file option do_clean, and an env variable CLEAN_SOURCE
    to control whether the sorce dir is cleaned after a kernel build. 
    closes: Bug#22219

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  8 May 1998 04:38:57 -0500

kernel-package (4.08) frozen unstable; urgency=low

  * Made the reboot now message mention that one should probably wait
    until after installation is finished before rebooting, since one may
    not be able to reboot before then. closes: Bug#21840
  * Fixed a syntax error in the kernel rules file. closes: Bug#21967
  * Changed all the changelog file names to changelog.Debian, as ooposed
    to changelog.debian. closes: Bug#21968

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  1 May 1998 14:19:45 -0500

kernel-package (4.07) frozen unstable; urgency=low

  * BUGFIX: fixed a typo in image.postinst; should be s/// not m////
  * BUGFIX: Fix typo in the powerpc patch; uneeded quotes were getting
    into the control file for the kernel-image-* packages.
  * Install a README.Debian file from the official package if it exists
    (it contains information about the patches applied, and, presumably,
    how to compile a kernel image .deb file).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 Apr 1998 14:24:20 -0500

kernel-package (4.06) frozen unstable; urgency=low

  * Added the libc-kheaders package.
  * Make sure that upstream sources do not stomp over the users .config
    file. However, allow the user to carry though the .config file.
  * Put a README.Debian file in the kernel-source package main directory. 
                                                              closes: Bug#21129
  * Do not use -o root when installing the .config file, so that build
    does not require root priviledges.                        closes: Bug#21324
  * Added patch for powerpc stuff.                            closes: Bug#21377.
  * Ignore legal leading spaces in a fstab line. This s a bug, though not
    formally reported.
  * Added a patch that get rids of an unfulfilled dependency on LILO for
    architectures that do not have any boot loader. 

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 21 Apr 1998 11:48:58 -0500

kernel-package (4.05) unstable; urgency=low

  * Fixed the long description of the kernel-* packages, which had gotten
    quite outdated. This should clear some confusion.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  1 Apr 1998 16:28:19 -0600

kernel-package (4.04) frozen unstable; urgency=low

  * Made kernel-package depend on fileutils (>= 3.16-4), since we use the
    -p flag of install, which was not added until then. closes: Bug#20427 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 30 Mar 1998 11:44:50 -0600

kernel-package (4.03) unstable; urgency=low

  * Fixed a typo which mis warned about rootcmd. closes: Bug#20286
  * Added the klogd patch from Yann Dirson <ydirson@a2points.com> to the
    Flavours file, which allows klogd to not choke on non-numeric kernel
    version numbers. This is also logged as Bug 20135.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 27 Mar 1998 12:37:04 -0600

kernel-package (4.02) unstable; urgency=low

  * Added stuff for the powerpc boot loader, and fixed a few typos in the
    kernel rules file.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Mar 1998 03:02:10 -0600

kernel-package (4.01) frozen unstable; urgency=low

  * In order to do cross sompilation, I was asked to export a variable
    called ARCH which is set to the Debian architecture (dpkg
    --print-architecture). Unfortunately. this breaks for PowerPc's, since
    though Debian calls the architecture powerpc, the kernel knows it as
    ppc. Things get very confused. This fix is essential for PowerPC
    compilations. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Mar 1998 01:14:04 -0600

kernel-package (4.00) unstable; urgency=high

  * Fix a thinko in lilo run that could be a security hole.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 15 Mar 1998 15:49:30 -0600

kernel-package (3.65) unstable; urgency=low

  * Rewrote /vmlinuz as symlink handling in image.postinst. This should
    correctly handle the bug. closes: Bug#19473

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 11 Mar 1998 14:02:14 -0600

kernel-package (3.64) unstable; urgency=low

  * Add a make recommendation for kernel source package as well. 
    closes: Bug#19223
  * Added a note to the Flavours document to specify a System.map file for
    klogd in /etc/init.d/syslog

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 10 Mar 1998 16:06:10 -0600

kernel-package (3.63) unstable; urgency=low

  * Added a recommends to shut up lintian; however, we already depended on
    packages that depended on make, so this is a no op.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  8 Mar 1998 15:12:28 -0600

kernel-package (3.62) unstable; urgency=low

  * Mentioned rootcmd and fakeroot in the README. Mention where one need
    to be root all over too.
  * Added error message from a machine that need the --zimage option to
    the Problems file.
  * Mentioned in the rationale that the kernel image configuration files
    are kept in /boot for further reference.

