## kernel-package 6.05

=== debian/changelog ===
kernel-package (6.05) frozen unstable; urgency=high

  * This fixes a bug introduced in the previous upload to frozen, in the
    handling of the new extraversion. Most of the changes are bug fixes,
    there is no new code.
  * Tightened the reg exp for determining the extraversion to ignore
    whitespace. Use builtin strip to remove leading and trailing
    space. fixes: BUG#32457 
  * If the changelog exists, use it to guess at the debian version (this is
    merely setting the default value). If there is no changelog, the
    default is still 1.00.
  * If the .config file exists, use that to guess the subarch for intel
    platforms. 
  * Install debian/rules if it does not exist, regardless of
    stamp-configure or debian/official.  fixes: BUG# 31823.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 1999 18:34:15 -0600

kernel-package (6.04) unstable; urgency=low

  * Tightened the reg exp fr determining the extraversion to ignore
    whitespace. fixes: BUG#32457 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 27 Jan 1999 02:14:33 -0600

kernel-package (6.03) frozen unstable; urgency=high

  * This update fixes a release critical bug, and only includes bug fixes
    since the previous version in frozen, apart from making the package
    2.2.X ready (mostly EXTRAVERSION support). I strongly feel that this
    should be allowed in frozen, even in deep freeze.
  * Added an option arch_in_name to ask kernel package to embedd the sub
    architecture in the kernel image name (this reverses the default of
    always embedding the arch in the name). Note that only the image
    package _name_ is affected. fixes: BUG#31972
  * The new Power macs report themselves as Power Macintoshes rather than
    PwerMac's. Changed reg expression to allow either. fixes: BUG#32262
  * Also install NET_MISC_MODULES modules. fixes: BUG#31934, BUG#31936

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 22 Jan 1999 09:29:15 -0600

kernel-package (6.02) unstable; urgency=low

  * Make kernel-doc-XXX now suggest kernel-image-=V=SA(that is, now we
    include the architecture string that kernel-image packages may
    optionally have. fixes: Bug#30291
  * The EXTRAVERSION support in the NMU fixes: BUG#31290, BUG#31331, BUG#31444
  * Added docuemntation about more variables in the makefile, namely, the
    locations of the modules, patches, and configuration files, and how
    one may modify the defaults.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jan 1999 23:28:50 -0600

kernel-package (6.01.1) unstable; urgency=low

  * NMU; adds EXTRAVERSION support for 2.2.0-preblah kernels

 -- Ben Gertzfield <che@debian.org>  Tue, 29 Dec 1998 20:02:24 -0800

kernel-package (6.01) unstable; urgency=low

  * Added support for netwinders. closes: BUG#29333
  * Modified modules support to not assume everything in /usr/src/modules
    is a directory. 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 25 Nov 1998 01:39:43 -0600

kernel-package (5.13) frozen unstable; urgency=low

  * Fixed setting email address for modules. closes: BUG#29217
  * Made it possible to set the subarch to be different from the one one
    is on (as long as the subarch being set is a valid sub arch of the
    current architecture). This should help the ppc folks.
  * Added to the module compilation documentation by incorporating part of
    the pcmcia-source documentation. This should hopefully make compiling
    stand-alone modules easier to compile

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  9 Nov 1998 18:12:23 -0600

kernel-package (5.12) unstable; urgency=low

  * Add things to the changelog file for the sub packages. Also, fix a
    trailing space problem from the rules file that affected the ppc
    folks. closes: Bug#28535

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 28 Oct 1998 13:56:59 -0600

kernel-package (5.11) frozen unstable; urgency=low

  * Fix the handling of config files.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Oct 1998 13:54:35 -0500

kernel-package (5.10) frozen unstable; urgency=medium

  * Add the variable KDREV to pass the debian revision to the modules
    while compiling.
  * Added powerpc fixes from Hartmut Koptein <koptein@et-inf.fho-emden.de>
    These were needed to have things work at all.
  
 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Oct 1998 12:37:39 -0500

kernel-package (5.09) unstable; urgency=high

  * Fixed missing / on a pattern match,. This essentially hosed
    make-kpkg. closes: Bug#27937

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 16:29:27 -0500

kernel-package (5.08) unstable; urgency=low

  * Added documentation of the tecra kernel issue in the README. 
  * Added README.tecra as astandalone file documenting the tecra laptop
    issue. 
  * Added README.modules to document the way that addon modules may hook
    into the kernel package and be kept compiled in synchrony with new
    kernel compilations.
  * Documented the fact that Flavours should be all lower case to meet the
    strictures of the Packaging manual. closes: BUG#26843
  * Added default values to prompts in kernel-packageconfig, since the
    prompts were most unplesaing. closes: BUG#27289
  * Fixed the dir modules are installed in to honour the flavour
    setting. closes: BUG#27311
  * Fixed typo in postinst. closes: Bug#25749

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Oct 1998 01:04:29 -0500

kernel-package (5.07) unstable; urgency=low

  * Make the long description for kernel-source emphasize the need to get
    bin86. 
  * Fixed a typo in the rules file that created the wrong symlink on
    sparcs. closes: BUG#26790

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Sep 1998 10:28:23 -0500

kernel-package (5.06) unstable; urgency=low

  * Use tweo $ signs to protect shell variable in rules. Affected m68k and
    powerpc archs.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Sep 1998 12:36:15 -0500

kernel-package (5.05) unstable; urgency=low


