=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: misc
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 2.1.2.2
+Standards-Version: 2.4.0.0
 
 Package: kernel-package
 Description: Debian Linux kernel package build scripts.
@@ -17,7 +17,7 @@
  If you are running on an intel x86 platform, and you wish to compile a
  custom kernel (why else are you considering this package?), then you may
  need the package bin86 as well.  (This is not required on other platforms).
-Depends: perl (>= 5.002-8), dpkg (>= 1.4), dpkg-dev
-Recommends: libc-dev, gcc
+Depends: perl (>= 5.002-8), dpkg (>= 1.4), dpkg-dev (>= 1.4.0.9), fileutils (>=3.16-4)
+Recommends: libc-dev, gcc, debianutils, make
 Suggests: kernel-source
 Architecture: all
